Change your username
PUT
/api/auth/usernameSame rule as everywhere: two names that differ only in case are one name.
Authorization
session modbot.session<token>
The web app's session, set by POST /api/auth/login.
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
curl -X PUT "https://example.com/api/auth/username" \ -H "Content-Type: application/json" \ -d '{ "username": "string", "currentPassword": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "username": "string", "permissions": 0, "permissionNames": [ "string" ], "roles": [ "string" ], "vrChatLinked": true, "vrChatUserId": null, "vrChatDisplayName": null, "email": null, "discordUserId": null, "discordUsername": null, "discordProven": true, "discordWorksUntil": null, "chatOn": true, "rank": null, "briefsOn": false, "apiKey": null, "getsEventInvites": true, "pinnedPages": null}